Loading...
Searching...
No Matches
libdar::candidates Class Reference
Private

helper class for data_tree More...

`#include <candidates.hpp>`

## Public Member Functions

| candidates (bool even_when_removed)
void | clear ()
void | add (archive_num val, db_etat st)
db_lookup | get_status () const
void | set_the_set (std::set< archive_num > &archive) const

## Private Attributes

bool | ewr
| even when removed, ignore removed status
std::deque< archive_num > | num
std::deque< db_etat > | status

## Detailed Description

helper class for data_tree

Definition at line 46 of file candidates.hpp.

## Constructor & Destructor Documentation

## candidates()

libdar::candidates::candidates | ( | bool | even_when_removed | ) |

inline

Definition at line 49 of file candidates.hpp.

## Member Function Documentation

## clear()

void libdar::candidates::clear | ( |  | ) |

inline

Definition at line 51 of file candidates.hpp.

## Member Data Documentation

## ewr

bool libdar::candidates::ewr

private

even when removed, ignore removed status

Definition at line 57 of file candidates.hpp.

## num

std::deque<archive_num> libdar::candidates::num

private

Definition at line 58 of file candidates.hpp.

## status

std::deque<db_etat> libdar::candidates::status

private

Definition at line 59 of file candidates.hpp.

The documentation for this class was generated from the following file:

- candidates.hpp